.TH curs_printw 3 ""
.SH NAME
\fBprintw\fR, \fBwprintw\fR, \fBmvprintw\fR,
\fBmvwprintw\fR, \fBvwprintw\fR - print formatted output in \fBncurses\fR windows
.SH SYNOPSIS
\fB#include <ncurses.h>\fR

\fBint printw(char *fmt\fR [\fB, arg\fR] \fB...);\fR
.br
\fBint wprintw(WINDOW *win, char *fmt\fR [\fB, arg\fR] \fB...);\fR
.br
\fBint mvprintw(int y, int x, char *fmt\fR [\fB, arg\fR] \fB...);\fR
.br
\fBint mvwprintw(WINDOW *win, int y, int x,
      \fBchar *fmt\fR [\fB, arg]\fR ...);

\fB#include <varargs.h>\fR
.br
\fBint vwprintw(WINDOW *win, char *fmt, varglist);\fR
.br
.SH DESCRIPTION
The \fBprintw\fR, \fBwprintw\fR, \fBmvprintw\fR and \fBmvwprintw\fR
routines are analogous to \fBprintf\fR [see \fBprintf\fR(3)].  In
effect, the string that would be output by \fBprintf\fR is output
instead as though \fBwaddstr\fR were used on the given window.

The \fBvwprintw\fR routine is analogous to \fBvprintf\fR [see
\fBprintf\fR(3)] and performs a \fBwprintw\fR using a variable
argument list.  The third argument is a \fBva_list\fR, a pointer to a
list of arguments, as defined in \fB<varargs.h>\fR.
.SH RETURN VALUE
All routines return the integer \fBERR\fR upon failure and an integer value
other than \fBERR\fR upon successful completion.
.SH SEE ALSO
\fBncurses\fR(3), \fBprintf\fR(3), \fBvprintf(3)\fR
.\"#
.\"# The following sets edit modes for GNU EMACS
.\"# Local Variables:
.\"# mode:nroff
.\"# fill-column:79
.\"# End:
